<div id="product-detail-{$product->getId()}" class="product-detail">
    <a href="#" class="product-detail-close"><i class="icon16 no"></i></a>
<div  align="center" style="padding: 10px;    margin-top: 7px;    float: initial;">
    <table border="0" cellspacing="0" cellpadding="0" rules="all">
        {$offers = $product->getSkus()}
        {if count($offers)>0}
        <tr>
            <td align="center">
                <select name="select_sku">
                    {$select_flag = false}
                {foreach $offers as $id => $offdata}
                <option value="{$id}"{if !$select_flag}selected {$select_flag="true"}{/if}>{$offdata->getName()} см</option>
                {/foreach}
                </select>
            </td>
        </tr>
      {/if}
        {$select_flag = false}
        {foreach $offers as $id => $offdata}
        <tr class="product-data-sku product-data-sku-{$id} {if !$select_flag}{$select_flag="true"}{else}hide{/if}" >
            <td>
                <h2 class="align-center">{$product->getName()}<br>{$offdata->getName()} см</h2>
            <table border="0" cellspacing="0" cellpadding="3" class="product-details-info">
                <tr>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"><strong>Имя</strong></td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"><strong>коэфф</strong></td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"><strong>цена осн.</strong></td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"><strong>кол.</strong></td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"><strong>расчет</strong></td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"><strong>сумма</strong></td>
                </tr>

                {foreach $offdata->getCosts() as $cost_type => $costs}
                {foreach $costs as $kcost => $cost}
                {if is_callable([$cost->getProductCost(), 'getCosts']) }
                <tr style="background-color: #d7ffdc;">
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;">{$cost->getName()}</td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;">
                        <span>{$cost->getCoefficient()}</span>
                    </td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"></td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;">{$cost->getQuantity()}</td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"></td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"><strong>= {$default_price->calculate($cost->getPrice())}</strong></td>
                </tr>
                {$subcosts = $cost->getSkuCosts()}
                {foreach $subcosts as $skcost => $scost}
                <tr>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;">{$scost->getName()}</td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;">
                        <span></span></td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"></td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;">{$scost->getQuantity()}</td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"></td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"></td>
                </tr>
                {/foreach}
                {else}
                <tr>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;">{$cost->getName()}</td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;">
                        <span>{$cost->getCoefficient()}</span></td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;">{$cost->getCost()}</td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;">{$cost->getQuantity()}</td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;">{$cost->getCalculateString()}</td>
                    <td style="border-top: 1px solid #ccc; border-bottom: 1px solid #ccc;"><strong>= {$default_price->calculate($cost->getPrice())}</strong></td>
                </tr>
                {/if}
                {/foreach}
                {/foreach}
                <tr>
                    <td colspan="4"><strong>{$default_price->getName()}:</strong></td>
                    <td colspan="2">
                        <span style=" font-weight: bold; font-size: 14px;">{$default_price->calculate($offdata->getCost())}</span></td>
                </tr>
                </table>
            </td></tr>
        {/foreach}
        </table>
    </div>

</div>
<div class="product-detail-layer"></div>